Subject: bug#70729: Flymake gives error when the buffer is narrowed

From: Arash Esbati <[email-masked]>
Date: Fri, 03 May 2024 14:45:30 +0200

Vangelis Evangelou <[email-masked]> writes:

> Hi all. I would like to report the following bug in the function
> LaTeX-flymake
>
> 1. Enable flymake-mode
> 2. With the buffer below, narrow as indicated 
> 3. Type in the narrowed buffer. 
>
> Flymake will produce an error. The issue is due to incorrect position
> of the errors when the buffer is narrowed.
>
> I don't think the buffer should be widened in the LaTeX-flymake
> function as the check can be performed in the narrowed buffer. I can
> see that LaTeX-flymake resembles perl-flymake. I suspect perl-flymake
> has similar issues, but I haven't checked as I don't use perl.

`LaTeX-flymake' actually follows closely what ``tex-chktex' does.  I'm
not sure if I understand the above correctly, but this is what I see
with "emacs -Q" and built-in LaTeX mode:
This is what I get with narrowing, but without the comment lines:
And finally with narrowing and the commented lines:

IIUC, the third version shows the wrong line number 4, right?

Best, Arash